# Dynamic Path Rewrites

Change the router paths for entity types without creating many path alias entities. Rewrites the router paths of
entities using inbound and outbound processing. Allows for bundles of the same entity type to have different
paths. For example, an article could be `/article/{node}` and a blog post `/blog-post/{node}`.

> **NOTE:** Not compatible with token replacements. Use https://www.drupal.org/project/pathauto if tokens are needed.

## Usage

1. Download and install the `drupal/dynamic_path_aliases` module. Recommended install method is composer:
   ```
   composer require drupal/dynamic_path_aliases
   ```
2. Go to /admin/config/search/path/rewrite to add path rewrites.

## Why aren't tokens supported?

Correct, tokens are NOT supported! Supporting tokens would add too much performance overhead. This approach is intended
to avoid the creation of many path alias entities while still allowing paths to be easily changed. For example, on
larger sites with many thousands of users or content. If tokens are absolutely necessary, use the tried and true
https://www.drupal.org/project/pathauto module.
