<?php

namespace Drupal\dynamic_path_aliases;

use Drupal\Core\Config\Entity\ConfigEntityListBuilder;
use Drupal\Core\Entity\EntityInterface;

/**
 * List builder for path rewrite entity.
 *
 * @see \Drupal\dynamic_path_aliases\Entity\PathRewrite
 */
class PathRewriteListBuilder extends ConfigEntityListBuilder {

  /**
   * {@inheritdoc}
   */
  public function getFormId(): string {
    return 'dynamic_path_aliases_path_rewrite_list';
  }

  /**
   * {@inheritdoc}
   */
  public function buildHeader(): array {
    return [
      $this->t('Label'),
      $this->t('Type'),
      $this->t('Path'),
    ] + parent::buildHeader();
  }

  /**
   * {@inheritdoc}
   */
  public function buildRow(EntityInterface $entity): array {
    /** @var \Drupal\dynamic_path_aliases\PathRewriteInterface $entity */
    return [
      $entity->label(),
      $entity->getTargetEntityType()->getLabel(),
      $entity->get('path'),
    ] + parent::buildRow($entity);
  }

}
